module ctrl (reset, start, comp, lclk0, lclk1, lclk2, lclk3, lclk4);
	input reset;
	input start;
	output lclk0;
	output lclk1;
	output lclk2;
	output lclk3;
	output lclk4;
	output comp;
	
	wire req1, req2, req3, req4;
	
	ctrl0	ctrl0	(.reset(reset), .preq(start), .nreq(req1), .lclk(lclk0));
	ctrl1	ctrl1	(.reset(reset), .preq(req1), .nreq(req2), .lclk(lclk1));
	ctrl2	ctrl2	(.reset(reset), .preq(req2), .nreq(req3), .lclk(lclk2));
	ctrl3	ctrl3	(.reset(reset), .preq(req3), .nreq(req4), .lclk(lclk3));
	ctrl4	ctrl4	(.reset(reset), .preq(req4), .nreq(comp), .lclk(lclk4));
	
endmodule
