module ctrl1 (reset, preq, nreq, lclk);
	input reset;
	input preq;
	output nreq;
	output lclk;
	reg nreq;
	
	wire dreq /* synthesis keep */;
	wire pd1out;

	sd1 sd1 (.in(preq), .out(dreq));
	assign lclk = dreq ^ pd1out;
	pd1 pd1 (.in(nreq), .out(pd1out));

	always @(posedge lclk or posedge reset)
		if(reset == 1)
			nreq = 0;
		else
			nreq = ~pd1out;

endmodule

