module ctrl2 (reset, preq, nreq, lclk);
	input reset;
	input preq;
	output nreq;
	output lclk;
	reg nreq;
	
	wire dreq /* synthesis keep */;
	wire pd2out;

	sd2 sd2 (.in(preq), .out(dreq));
	assign lclk = dreq ^ pd2out;
	pd2 pd2 (.in(nreq), .out(pd2out));	

	always @(posedge lclk or posedge reset)
		if(reset == 1)
			nreq = 0;
		else
			nreq = ~pd2out;

endmodule

