module ctrl0 (reset, preq, nreq, lclk);
	input reset;
	input preq;
	output nreq;
	output lclk;
	reg nreq;
	
	wire dreq /* synthesis keep */;
	wire pd0out;	
				
	sd0 sd0 (.in(preq), .out(dreq));
	assign lclk = dreq ^ pd0out;
	pd0 pd0 (.in(nreq), .out(pd0out));	

	always @(posedge lclk or posedge reset)
		if(reset == 1)
			nreq = 0;
		else
			nreq = ~pd0out;	

endmodule
