module ctrl3 (reset, preq, nreq, lclk);
	input reset;
	input preq;
	output nreq;
	output lclk;
	reg nreq;
	
	wire dreq /* synthesis keep */;
	wire pd3out;

	sd3 sd3 (.in(preq), .out(dreq));
	assign lclk = dreq ^ pd3out;
	pd3 pd3 (.in(nreq), .out(pd3out));	

	always @(posedge lclk or posedge reset)
		if(reset == 1)
			nreq = 0;
		else
			nreq = ~pd3out;

endmodule

