module ctrl4 (reset, preq, nreq, lclk);
	input reset;
	input preq;
	output nreq;
	output lclk;
	reg nreq;
	
	wire dreq /* synthesis keep */;
	wire pd4out;

	sd4 sd4 (.in(preq), .out(dreq));
	assign lclk = dreq ^ pd4out;
	pd4 pd4 (.in(nreq), .out(pd4out));	

	always @(posedge lclk or posedge reset)
		if(reset == 1)
			nreq = 0;
		else
			nreq = ~pd4out;	

endmodule

